### 9.6.1. Named Input File Formats

The Named Input File format is used for Batch Files and Report Template Files.

File Format | Description
--- | ---
Batch File Format (bgi) | In most cases, this is the best file format to use for interfacing with BladeGen. BladeGen will write this file format from the File | Save As... menu command. Right-clicking on a file in the Windows Explorer will display a popup menu with an Edit option to edit the file.
Report Template File Format (bgr) | This file format is created and edited when using the File | Export | Report... menu command.

#### 9.6.1.1. Named Input File Guidelines

The Named Input Files use the following guidelines.

- The file is read and processed a line at a time, except in the Default and Equation sections (where applicable).

- Comments begin at a exclamation mark ! and extend to the end of the line.

- Variables, Keywords, and Parameters enclosed in brackets [] are optional.

- Lists of options are enclosed in braces {} and are comma delimited.

- All sections start with a line like "{New, Begin} SectionName" and ends with a line like "End SectionName", where SectionName is the name of the section. An example is below.

      Begin SectionName
          variable1=0
          variable2=1
              Begin SubSectionName
                  variable3=2
              End SubSectionName
      End SectionName

- All variables have a default which will be used unless another value is given. There are no defaults for the sections, so all required sections must be defined in order for the file to be complete.

Also See:

Named Input Parameter Types

#### 9.6.1.2. Named Input Section Types

The Named Input File Format uses Sections to distinguish between groups of parameters or to signal the start of a new object.

Object Type | Description
--- | ---
Generic Object | Generic section header.
Data | Used to enclose a list of point data. Each point is to be on a separate line and follow the rules of the Point Parameter type.
EquSet | Used to enclose a set of equations. Allows the use of multi-line control statements (if...else...endif). One statement per line.

#### 9.6.1.3. Named Input Parameter Types

The Named Input File Format uses specific parameter types. Usually the user doesn’t need to know the details of the variable, but this information is included for completeness.

Parameter Type | Description
--- | ---
Boolean | Logical True or False. Accepts "T", "F", "+", "-", "0", or "1". Assigns value to a variable of type bool.
Bitmask | Logical True or False. Accepts "T", "F", "+", "-", "0", or "1". Assigns value to a single bit of a unsigned 32 bit integer.
Integer | Accepts an integer value with range checking.
Double | Accepts a floating point value with range checking.
Point | Accepts a pair of floating point values, separated by a comma, and enclosed in parentheses.
List | Accepts one of the defined strings as an index. Assigns index to a integer variable.
String | Accepts a string enclosed in quotes.
FileName | Accepts a string enclosed in quotes. This is a derivative of the String type used in the editor to prompt for the string using the File Open or File Save dialog.

#### 9.6.1.4. Named Input Equations

The named input parameters allow equations to be used to define the values.

- Named Input Operators
- Named Input Functions
- Named Input Constants
- Named Input Control Statements

##### 9.6.1.4.1. Named Input Operators

The following operators are available for use in equations. They are processed from the lowest to highest order.

Operator | Order | Description
--- | --- | ---
! | 1 | Unary Not
~ | 1 | Unary Complement
- | 1 | Unary Minus
* | 2 | Multiplication
/ | 2 | Division
% | 2 | Modulus
+ | 3 | Plus
- | 3 | Minus
<< | 4 | Bit Shift Left
>> | 4 | Bit Shift Right
< | 5 | Compare LT
<= | 5 | Compare LE
> | 5 | Compare GT
>= | 5 | Compare GE
== | 6 | Compare EQ
!= | 6 | Compare NE
& | 7 | Bitwise AND
^ | 8 | Bitwise XOR
| | 9 | Bitwise OR
&& | 10 | Logical AND
|| | 11 | Logical OR

##### 9.6.1.4.2. Named Input Functions

The following functions are available for use in equations.

Function Name | Prototype* | Description
--- | --- | ---
defined | b=defined(v) | Variable or Constant exists.
min | pdi=min(pdi,pdi) | Minimum value or length(p).
max | pdi=max(pdi,pdi) | Maximum value or length(p).
sqrt | d=sqrt(d) | Square root.
nint | i=nint(d) | Nearest integer.
int | i=int(d) | Truncates to integer.
abs | pdi=abs(pdi) | Absolute value or vector length(p).
asin | d=asin(d) | Arc-sine.
acos | d=acos(d) | Arc-cosine.
atan | d=atan(d) | Arc-tangent (-pi/2 to pi/2).
atan2 | d=atan2(d,d) | Arc-tangent (pi/2 to pi/2).
sin | d=sin(d) | Sine.
cos | d=cos(d) | Cosine.
tan | d=tan(d) | Tangent.
ln | d=ln(d) | Natural Logarithm.
log | d=log(d) | Logarithm (base 10).
pow | d=pow(d,d) | Power.
dist | d=dist(p,p) | Distance between points.
polar | p=polar(d,d) | Vector from radius and angle.
rotate | p=rotate(p,d) | Rotate vector by specified angle.
unitvec | p=unitvec(p) | Normalized vector to unit (1.0) length.
xval | d=xval(p) | X value of point.
yval | d=yval(p) | Y value of point.

* Note: Data types are identified by the character. The table below correlates the character to the data type.

Char | Data Type
--- | ---
b | Boolean
i | Integer
d | Floating
p | Point (Float pair)
v | Any of the above

##### 9.6.1.4.3. Named Input Constants

The following constants are available for use in equations. Their values can not be overwritten.

Constant | Value
--- | ---
Pi | 3.141592653589793
e | 2.718281828459045
g | 32.174[ft/s2]
T | True
F | False
true | True
false | False

##### 9.6.1.4.4. Named Input Control Statements

When a multi-line equation is permitted (only in EquSet Sections), the following control statements are allowed.

If...Endif

This control statement allows conditional evaluation of a set of statements, determined by the evaluation of the condition.

    if ( condition )
      {expressions}
    endif

If...Else...Endif

This control statement allows conditional evaluation of two set of statements, determined by the evaluation of the condition.

    if ( condition )
      {true expressions}
    else
      {false expressions}
    endif

#### 9.6.1.5. Batch Input File Format (BGI)

The following topics are discussed:

- Batch File Format (BGI)
- Complete BGI File Format Listing
- Example Files

##### 9.6.1.5.1. Batch File Format (BGI)

This file format was developed to assist other programs in interfacing with BladeGen. Please see Named Input File Format for a description of the notation used.

BladeGen writes this file and there is a ’BladeBatch.exe’ program which can be used to output geometric values or grids based on input from this file. Operation of the program is detailed in Batch Processing .

The file format supports both a detailed description of the geometry (as output from BladeGen) and a simplified description for easy entry into BladeGen. The following topics show examples of the file format for reference.

Complete BGI File Format Listing

BGI Angle/Thickness Example

BGI Pressure/Suction Example - Prs/Sct Curves

BGI Pressure/Suction Example - Bezier Curves

The file format uses sections which must be defined in the given order. The Default and Equation sections are created as empty sections by BladeGen, but a dialog is provided for user input.

Defaults Section

  This section describes the default values of parameters that can be overridden by command line definitions (in BladeBatch).

Equations Section

  This section describes the equations for constants that can use the default values or command line definitions (in BladeBatch).

Model Section

  This section describes the parameters that apply to the model as a whole.

Meridional Section

  This section describes the design meridional definition of the model. The hub and shroud curves must be defined before the leading and trailing edge curves, since these two curves reference the prior two curves for their end points. All of the curves must be defined before creating the layers, since the layers use %span (which is defined by the four curves).

  The SimpleMeridonalProfile can be used as an alternative to the definitions for the four curves and the hub and shroud layers (created as spanwise layers at 0.0 and 1.0). These definitions can be mixed, but this should be avoided.

Blade Section

  This section describes the blade’s parameters. At least one blade is required, and the first defines the main blade. Additional blades can be added as splitters.

MasterMeridional Section

  This section describes the master meridional definition of the model. It is identical to the Meridional section detailed above, but is used for output only (when selected).

##### 9.6.1.5.2. Complete BGI File Format Listing

    Begin Defaults
    End Defaults
    Begin Equations
    End Equations
    Begin Model
      NumMainBlades = 9
      Mode = Angle/Thickness
      RightHandedCoordSystem = T
      BladeOutputPointClustering = Both Ends
      NumBladePoints = 60
      NumLeadingEdgePoints = 9
      NumTrailingEdgePoints = 9
      NumUpstreamPoints = 9
      NumDownstreamPoints = 9
      CurveDisplayMaximumError = 1.e-002
      DataFromLeToTe = T
      BetaAxialDef = T
      ThicknessIsDimension = T
      OutputUsingMasterProfile = T
      MeridionalSpanCurveRuledShape = Ruled Element Only
      OldSpanwiseInterpolationScheme = f
      Designer =
      Company =
      Comment =
      DeviceType = Unknown
      ConfigurationType = Unknown
      RotationType = Unknown
      GeometryUnits = IN
    End Model
    Begin Meridional
      MeridionalControlCurveMode = Minimal
      AdditionalInterpolationCurves = T
      SpanByArea = f
      Begin HubCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End HubCurve
      Begin ShroudCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End ShroudCurve
      Begin LeadingEdgeCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End LeadingEdgeCurve
      Begin TrailingEdgeCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End TrailingEdgeCurve
      Begin InletCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End InletCurve
      Begin ExhaustCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End ExhaustCurve
      Begin MeridionalControlCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End MeridionalControlCurve
      Begin SimpleMeridionalProfile
        HubLeadingEdgePoint = ( 0., 0. )
        HubTrailingEdgePoint = ( 0., 0. )
        ShroudLeadingEdgePoint = ( 0., 0. )
        ShroudTrailingEdgePoint = ( 0., 0. )
      End SimpleMeridionalProfile
      Begin SpanLayer
        Name =
        OutputLayer = T
        SpanFraction = 0.
      End SpanLayer
      Begin HubGapLayer
        Name =
        OutputLayer = T
        LeadingEdgeGap = 0.
        TrailingEdgeGap = 0.
      End HubGapLayer
      Begin ShroudGapLayer
        Name =
        OutputLayer = T
        LeadingEdgeGap = 0.
        TrailingEdgeGap = 0.
      End ShroudGapLayer
      Begin DataLayer
        Name =
        OutputLayer = T
        Description =
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          UpstreamControl = Free
          UpstreamAngle = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End DataLayer
      Begin HubOffsetLayer
        Name =
        OutputLayer = T
        AxialOffset = 0.
        RadialOffset = 0.
      End HubOffsetLayer
      Begin ShroudOffsetLayer
        Name =
        OutputLayer = T
        AxialOffset = 0.
        RadialOffset = 0.
      End ShroudOffsetLayer
    End Meridional
    Begin Blade
      PitchFraction = 0.
      LeadingEdgeEndType = Square
      HubLE_EllipseRatio = 1.
      ShrLE_EllipseRatio = 0.
      TrailingEdgeEndType = Square
      HubTE_EllipseRatio = 1.
      ShrTE_EllipseRatio = 0.
      EllipseAtMean = f
      Begin LeadingEdgeSide1Filing
        HubLength = 0.
        ShroudLength = 0.
        ScaleLength = f
        HubDepth = 0.
        ShroudDepth = 0.
        ScaleDepth = f
        HubRadius = 0.
        ShroudRadius = 0.
        ScaleRadius = f
      End LeadingEdgeSide1Filing
      Begin LeadingEdgeSide2Filing
        HubLength = 0.
        ShroudLength = 0.
        ScaleLength = f
        HubDepth = 0.
        ShroudDepth = 0.
        ScaleDepth = f
        HubRadius = 0.
        ShroudRadius = 0.
        ScaleRadius = f
      End LeadingEdgeSide2Filing
      Begin TrailingEdgeSide1Filing
        HubLength = 0.
        ShroudLength = 0.
        ScaleLength = f
        HubDepth = 0.
        ShroudDepth = 0.
        ScaleDepth = f
        HubRadius = 0.
        ShroudRadius = 0.
        ScaleRadius = f
      End TrailingEdgeSide1Filing
      Begin TrailingEdgeSide2Filing
        HubLength = 0.
        ShroudLength = 0.
        ScaleLength = f
        HubDepth = 0.
        ShroudDepth = 0.
        ScaleDepth = f
        HubRadius = 0.
        ShroudRadius = 0.
        ScaleRadius = f
      End TrailingEdgeSide2Filing
      Begin PressureSuctionDefinition
        Begin PressureSuctionCurves
          Layer =
          Begin Side1 Data
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End Side1 Data
          Begin Side2 Data
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End Side2 Data
        End PressureSuctionCurves
        Begin BezierCurve
          Layer =
          StaggerAngle = 0.
          LeadingEdgeTheta = 0.
          LeadingEdgeBeta = 0.
          TrailingEdgeBeta = 0.
          LeadingEdgeWedge = 0.
          TrailingEdgeWedge = 0.
          LeadingEdgeThickness = 0.
          TrailingEdgeThickness = 0.
          FirstPointFractionSide1 = 0.
          LastPointFractionSide1 = 0.
          LinearFractionSide1 = 0.
          FirstPointFractionSide2 = 0.
          LastPointFractionSide2 = 0.
          LinearFractionSide2 = 0.
        End BezierCurve
      End PressureSuctionDefinition
      Begin AngleDefinition
        AngleLocation = MeanLine
        SpanwiseDistribution = General
        Begin AngleCurve
          Layer =
          HorizDim = Meridional Prime
          VertDim = Radian
          DefinitionType = End AnglesSlopes
          LE_Theta = 0.
          LE_Beta = 0.
          TE_Theta = 0.
          TE_Beta = 0.
          CurveType = Bezier
          PolyPower = 5
          Begin CrvData
          End CrvData
          Begin Segment
            CurveType = Bezier
            PolynomialPower = 5
            UpstreamControl = Free
            UpstreamAngle = 0.
            DownstreamControl = Free
            DownstreamAngle = 0.
            Begin Data
            End Data
            DataFile =
          End Segment
        End AngleCurve
        Begin UserSpanwiseDistribution
          Begin Equation
          End Equation
          Begin HubCurve
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End HubCurve
          Begin ShroudCurve
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End ShroudCurve
          Begin VariableCurve
            Name =
            IncludeInFit = T
            MinimumValue = -1.e+030
            MaximumValue = 1.e+030
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End VariableCurve
        End UserSpanwiseDistribution
      End AngleDefinition
      Begin ThicknessDefinition
        NormalThickness = T
        ThicknessType = Normal To Camber Line
        SpanwiseDistribution = General
        AxialElementTaperAngle = 0.
        Begin ThicknessCurve
          Layer =
          HorizDim = Meridional
          CurveType = Bezier
          PolyPower = 5
          Begin CrvData
          End CrvData
          Begin Segment
            CurveType = Bezier
            PolynomialPower = 5
            UpstreamControl = Free
            UpstreamAngle = 0.
            DownstreamControl = Free
            DownstreamAngle = 0.
            Begin Data
            End Data
            DataFile =
          End Segment
        End ThicknessCurve
        Begin UserSpanwiseDistribution
          Begin Equation
          End Equation
          Begin HubCurve
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End HubCurve
          Begin ShroudCurve
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End ShroudCurve
          Begin VariableCurve
            Name =
            IncludeInFit = T
            MinimumValue = -1.e+030
            MaximumValue = 1.e+030
            Begin Segment
              CurveType = Bezier
              PolynomialPower = 5
              UpstreamControl = Free
              UpstreamAngle = 0.
              DownstreamControl = Free
              DownstreamAngle = 0.
              Begin Data
              End Data
              DataFile =
            End Segment
          End VariableCurve
        End UserSpanwiseDistribution
      End ThicknessDefinition
      Begin SimpleBezierBladeDefinition
        StaggerAngle = 0.
        LeadingEdgeTheta = 0.
        LeadingEdgeBeta = 0.
        TrailingEdgeBeta = 0.
        LeadingEdgeWedge = 0.
        TrailingEdgeWedge = 0.
        LeadingEdgeThickness = 0.
        TrailingEdgeThickness = 0.
        FirstPointFractionSide1 = 0.
        LastPointFractionSide1 = 0.
        LinearFractionSide1 = 0.
        FirstPointFractionSide2 = 0.
        LastPointFractionSide2 = 0.
        LinearFractionSide2 = 0.
      End SimpleBezierBladeDefinition
      Begin SimpleAngThkDefinition
        WrapAngle = 0.
        Thickness = 0.
      End SimpleAngThkDefinition
      Begin LeadingEdgeCut
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End LeadingEdgeCut
      Begin TrailingEdgeCut
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End TrailingEdgeCut
      Begin LeadingEdgeExtension
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End LeadingEdgeExtension
      Begin TrailingEdgeExtension
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End TrailingEdgeExtension
    End Blade
    Begin MasterMeridional
      MeridionalControlCurveMode = Minimal
      AdditionalInterpolationCurves = T
      SpanByArea = f
      Begin HubCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End HubCurve
      Begin ShroudCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End ShroudCurve
      Begin LeadingEdgeCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End LeadingEdgeCurve
      Begin TrailingEdgeCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End TrailingEdgeCurve
      Begin InletCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End InletCurve
      Begin ExhaustCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End ExhaustCurve
      Begin MeridionalControlCurve
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          ArcRadius = 0.
          ArcAngle = 0.
          UpstreamControl = Free
          UpstreamAngle = 0.
          UpstreamRadius = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          DownstreamRadius = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End MeridionalControlCurve
      Begin SimpleMeridionalProfile
        HubLeadingEdgePoint = ( 0., 0. )
        HubTrailingEdgePoint = ( 0., 0. )
        ShroudLeadingEdgePoint = ( 0., 0. )
        ShroudTrailingEdgePoint = ( 0., 0. )
      End SimpleMeridionalProfile
      Begin SpanLayer
        Name =
        OutputLayer = T
        SpanFraction = 0.
      End SpanLayer
      Begin HubGapLayer
        Name =
        OutputLayer = T
        LeadingEdgeGap = 0.
        TrailingEdgeGap = 0.
      End HubGapLayer
      Begin ShroudGapLayer
        Name =
        OutputLayer = T
        LeadingEdgeGap = 0.
        TrailingEdgeGap = 0.
      End ShroudGapLayer
      Begin DataLayer
        Name =
        OutputLayer = T
        Description =
        Begin Segment
          CurveType = Bezier
          PolynomialPower = 5
          UpstreamControl = Free
          UpstreamAngle = 0.
          DownstreamControl = Free
          DownstreamAngle = 0.
          Begin Data
          End Data
          DataFile =
        End Segment
      End DataLayer
      Begin HubOffsetLayer
        Name =
        OutputLayer = T
        AxialOffset = 0.
        RadialOffset = 0.
      End HubOffsetLayer
      Begin ShroudOffsetLayer
        Name =
        OutputLayer = T
        AxialOffset = 0.
        RadialOffset = 0.
      End ShroudOffsetLayer
    End MasterMeridional

In the following table, the items of a BGI file are listed in alphabetical order with descriptions.

Item in BGI File | Description
--- | ---

AdditionalInterpolationCurves

Description:
Specifies the mode for Meridional Control Curves, except
User-Defined.(Obsolete)
Attributes:
Obsolete
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
NoAdditionalInterpolationCurves

AngleCurve | Description: Describes a angle curve on a layer. Attributes: (none)
AngleDefinition | Description: Describes the Angle Definition for the blade. Attributes: Unique

AngleLocation

Description:
Specifies the location of the angle data.
Attributes:
(none)
Default Value:
MeanLine
Values:
MeanLine
Side1
Side2

ArcAngle

Description:
Specifies the included angle of the arc for the Arc type of curve.
Ignored by others.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

ArcRadius

Description:
Specifies the radius of the arc for the Arc type of curve. Ignored by
others.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

AxialElementTaperAngle

Description:
Specifies the Taper Angle for the Axial Element Spanwise
Distribution Mode.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
15

AxialOffset

Description:
Specifies the axial offset for the curve.
Attributes:
Required
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

BetaAxialDef

Description:
Specifies the definition of beta.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
BetaTangentialDef

BezierCurve | Description: Describes the Bezier Blade parameters for this layer. Attributes: (none)
Blade | Description: Describes a Blade. Attributes: Required

BladeOutputPointClustering

Description:
Specifies the type of point clustering to perform when creating the
meanline blade data.
Attributes:
(none)
Default Value:
Both Ends
Values:
Linear
Leading Edge
Trailing Edge
Both Ends

Comment | Description: Specifies a user defined comment about the geometry. Attributes: (none) Default Value:
Company | Description: Specifies the name of the company who owns the geometry. Attributes: (none) Default Value:

ConfigurationType

Description:
Specifies the configuration type.
Attributes:
(none)
Default Value:
Unknown
Values:
Unknown
Axial
Mixed
Radial

CrvData | Description: Describes the point data of the curve. (Obsolete) Attributes: Unique Obsolete

CurveDisplayMaximumError

Description:
Specifies the maximum cord error for curve display. Can affect
geometry in Meridional and PS/SS Curves.
Attributes:
Required
Default Value:
1.e-002
Minimum Value:
1e-006
Maximum Value:
1e+300

CurveType

Description:
Specifies the curve type for the following point data.
Attributes:
(none)
Default Value:
Bezier
Values:
Linear
Spline
Bezier
Best Fit Poly
Arc

Data | Description: Describes the (X,Y) data for the curve. Attributes: Unique

DataFile

Description:
Optional Data File to be read. Uses the ’zr’, ’ha’, and ’ht’ format,
but make sure the horizontal and vertical dimensions match
the data. This item must be last to be used instead of the
Data group.
Attributes:
Last
Default Value:
File Description:
Data File (*.dat)|All Files (*.*)||
File Type:
dat

DataFromLeToTe

Description:
Specifies how the Ang/Thk data is to be displayed.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
DataFromTeToLe

DataLayer | Description: Describes a layer created from a curve. Attributes: (none)
Defaults | Description: Describes the user-defined default parameters and equations. Attributes: Required Unique

DefinitionType

Description:
Specifies the angle curve definition type.
Attributes:
(none)
Default Value:
End Angles Slopes
Values:
End Angles Slopes
End Angles
Theta Curve
Beta Curve

Description | Description: Description of layer. (Obsolete) Attributes: Obsolete Default Value:
Designer | Description: Specifies the name of the designer who created the geometry. Attributes: (none) Default Value:

DeviceType

Description:
Specifies the device type.
Attributes:
(none)
Default Value:
Unknown
Values:
Unknown
Pump
Compressor
Fan
Turbine
Diffuser
DesirlVane
Other

DownstreamAngle

Description:
Specifies the downstream slope (in degrees).
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

DownstreamControl

Description:
Specifies the downstream slope control, if any, for the segment.
Attributes:
(none)
Default Value:
Free
Values:
Free
Slope
Tangent

DownstreamRadius

Description:
Specifies the downstream fillet radius used between the upstream
segment and this segment.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

EllipseAtMean

Description:
Specifies the location of ellipses relative to meridional cut curves.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
EllipseTangent

Equation | Description: Describes the user-defined distribution equations. Attributes: Required Unique

Equations

Description:
Describes additional equations which are calculated after the
command line parameters are set.
Attributes:
Required
Unique

ExhaustCurve | Description: Describes the Exhaust curve. Attributes: Unique

FirstPointFractionSide1

Description:
Specifies the length fraction of the first point of the Bezier on Side1.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

FirstPointFractionSide2

Description:
Specifies the length fraction of the first point of the Bezier on Side2.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

GeometryUnits

Description:
Specifies the geometry units. This is used for IGES output.
Attributes:
(none)
Default Value:
IN
Values:
Unknown
IN
MM
Unknown
FT
MI
M
KM
MIL
UM
CM
UIN

HorizDim

Description:
Specifies the horizontal (meridional) dimension for the following
point data.
Attributes:
(none)
Default Value:
Meridional Prime (for angle data), Meridional (for thickness data)
Values:
Meridional
Meridional Fraction
Percent Meridional
Meridional Prime
Meridional Prime Fraction
Percent Meridional Prime
Percent Camber By Percent Camber (for thickness data only)

HubCurve | Description: Describes the Hub curve. Attributes: Required Unique

HubDepth

Description:
Specifies the depth of the Filing at the Hub.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

HubGapLayer | Description: Describes a layer created by a linearly interpolated normal offset from the Hub curve. Attributes: (none)

HubLE_EllipseRatio

Description:
Specifies the leading edge elliptical ratio at the Hub.
Attributes:
(none)
Default Value:
1.
Minimum Value:
-1e+300
Maximum Value:
1e+300

HubLeadingEdgePoint

Description:
Specifies the Leading Edge point at the Hub.
Attributes:
(none)
Default Value:
( 0., 0. )

HubLength

Description:
Specifies the length along the meanline to the end of the Filing at
the Hub.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

HubOffsetLayer | Description: Describes a layer created by an axial and radial offset from the Hub curve. Attributes: (none)

HubRadius

Description:
Specifies the radius of the fillet at the end of the Filing at the Hub.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

HubTE_EllipseRatio

Description:
Specifies the trailing edge elliptical ratio at the Hub.
Attributes:
(none)
Default Value:
1.
Minimum Value:
-1e+300
Maximum Value:
1e+300

HubTrailingEdgePoint

Description:
Specifies the Trailing Edge point at the Hub.
Attributes:
(none)
Default Value:
( 0., 0. )

IncludeInFit

Description:
Specifies if the curve is to be fitted.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
ExcludeFromFit

InletCurve | Description: Describes the Inlet curve. Attributes: Unique

LastPointFractionSide1

Description:
Specifies the length fraction of the last point of the Bezier on Side1.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LastPointFractionSide2

Description:
Specifies the length fraction of the last point of the Bezier on Side2.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

Layer

Description:
Specifies the Design Meridional Profile Layer’s name.
Attributes:
Required
First
Default Value:

LE_Beta

Description:
Specifies the leading edge beta for End Angle modes.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LE_Theta

Description:
Specifies the leading edge theta for End Angle modes.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LeadingEdgeBeta

Description:
Specifies the angle of the blade at the Leading Edge, in degrees.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LeadingEdgeCurve | Description: Describes the Leading Edge curve. Attributes: Unique
LeadingEdgeCut | Description: Describes the leading edge cut-off curve. Attributes: Unique

LeadingEdgeEndType

Description:
Specifies the leading edge type.
Attributes:
(none)
Default Value:
Square
Values:
Square
CutOff
Ellipse

LeadingEdgeExtension | Description: Describes the leading edge extension curve. Attributes: Unique

LeadingEdgeGap

Description:
Specifies the offset at the leading edge.
Attributes:
Required
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

LeadingEdgeSide1Filing | Description: Describes the Leading Edge Side1 Filing. Attributes: Unique
LeadingEdgeSide2Filing | Description: Describes the Leading Edge Side2 Filing. Attributes: Unique

LeadingEdgeTheta

Description:
Specifies the angular location of the Leading Edge, in degrees.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LeadingEdgeThickness

Description:
Specifies the thickness of the blade at the Leading Edge.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LeadingEdgeWedge

Description:
Specifies the angle between the sides of the blade at
the Leading Edge, in degrees.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LinearFractionSide1

Description:
Specifies the length of the linear segment at the trailing edge
of Side1.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

LinearFractionSide2

Description:
Specifies the length of the linear segment at the trailing edge
of Side2.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

MasterMeridional | Description: Describes the Master Meridional Profile. Attributes: Unique

MaximumValue

Description:
Specifies the maximum value for fitting.
Attributes:
(none)
Default Value:
1.e+030
Minimum Value:
-1e+300
Maximum Value:
1e+300

Meridional | Description: Describes the Design Meridional Profile. Attributes: Required Unique
MeridionalControlCurve | Description: Describes a Meridional Control curve. Attributes: (none)

MeridionalControlCurveMode

Description:
Specifies the mode for Meridional Control Curves.
Attributes:
(none)
Default Value:
Minimal
Values:
Minimal
Normal
User Defined

MeridionalSpanCurveRuledShape

Description:
Specifies the interpretation of meridional cut curves when their
ends are not at the same angular location.
Attributes:
(none)
Default Value:
Ruled Element Only
Values:
Never
Ruled Element Only
Any Blade Type

MinimumValue

Description:
Specifies the minimum value for fitting.
Attributes:
(none)
Default Value:
-1.e+030
Minimum Value:
-1e+300
Maximum Value:
1e+300

Mode

Description:
Specifies the blade mode.
Attributes:
Required
Default Value:
Angle/Thickness
Values:
Pressure Side/Suction Side
Angle/Thickness

Model | Description: Describes the model parameters. Attributes: Required Unique

Name

Description:
Specifies the Name.
Attributes:
Required
First
Default Value:

NormalThickness

Description:
Specifies the interpretation of thickness data. (Obsolete)
Attributes:
Obsolete
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
TangentialThickness

NumBladePoints

Description:
Specifies the number of points to use in meanline blade data sets.
Attributes:
(none)
Default Value:
60
Minimum Value:
24
Maximum Value:
144

NumDownstreamPoints

Description:
Specifies the number of points to use downstream of
the blade (obsolete).
Attributes:
Obsolete
Default Value:
9
Minimum Value:
6
Maximum Value:
24

NumLeadingEdgePoints

Description:
Specifies the number of points to use in elliptical leading edges of
meanline blade data sets.
Attributes:
(none)
Default Value:
9
Minimum Value:
6
Maximum Value:
24

NumMainBlades

Description:
Specifies the number of blade sets.
Attributes:
Required
Default Value:
9
Minimum Value:
1
Maximum Value:
32767

NumTrailingEdgePoints

Description:
Specifies the number of points to use in elliptical trailing edges of
meanline blade data sets.
Attributes:
(none)
Default Value:
9
Minimum Value:
6
Maximum Value:
24

NumUpstreamPoints

Description:
Specifies the number of points to use upstream of the blade
(obsolete).
Attributes:
Obsolete
Default Value:
9
Minimum Value:
6
Maximum Value:
24

OldSpanwiseInterpolationScheme

Description:
Specifies the interpolation technique to use. Included to accurately
reproduce legacy geometry. New designs should omit this variable
or use the default (false).
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
NewSpanwiseInterpolationScheme

OutputLayer

Description:
Specifies if the layer is to be used for output.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
InternalLayer

OutputUsingMasterProfile

Description:
Specifies which Meridional Definition is to be used for output.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
OutputUsingDesignProfile

PitchFraction

Description:
Specifies the pitch-wise location of the blade, relative to the
main blade.
Attributes:
Required
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

PolynomialPower

Description:
Specifies the power of the polynomial for the Best Fit Poly type of
curve. Ignored by others.
Attributes:
(none)
Default Value:
5
Minimum Value:
1
Maximum Value:
12

PolyPower

Description:
Specifies the power or order for Best Fit Poly curves. (Obsolete)
Attributes:
Obsolete
Default Value:
5
Minimum Value:
1
Maximum Value:
12

PressureSuctionCurves | Description: Describes a PS/SS curve set on a layer. Attributes: (none)
PressureSuctionDefinition | Description: Describes the Pressure Side/Suction Side Definition for a blade. Attributes: Unique

RadialOffset

Description:
Specifies the radial offset for the curve.
Attributes:
Required
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

RightHandedCoordSystem

Description:
Specifies the coordinate system.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
LeftHandedCoordSystem

RotationType

Description:
Specifies the rotation type.
Attributes:
(none)
Default Value:
Unknown
Values:
Unknown
Positive
Stationary
Negative

ScaleDepth

Description:
Specifies that the depth is to be scaled with the local thickness.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
NoScaleDepth

ScaleLength

Description:
Specifies that the length is to be scaled with the local thickness.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
NoScaleLength

ScaleRadius

Description:
Specifies that the fillet radius is to be scaled with the local thickness.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
NoScaleRadius

Segment | Description: Describes a segment of a multi-segmented curve

ShrLE_EllipseRatio

Description:
Specifies the leading edge elliptical ratio at the Shroud.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

ShroudCurve | Description: Describes the Shroud curve. Attributes: Required Unique

ShroudDepth

Description:
Specifies the depth of the Filing at the Shroud.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

ShroudGapLayer | Description: Describes a layer created by a linearly interpolated normal offset from the Shroud curve. Attributes: (none)

ShroudLeadingEdgePoint

Description:
Specifies the Leading Edge point at the Shroud.
Attributes:
(none)
Default Value:
( 0., 0. )

ShroudLength

Description:
Specifies the length along the meanline to the end of the Filing
at the Shroud.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

ShroudOffsetLayer | Description: Describes a layer created by an axial and radial offset from the Shroud curve. Attributes: (none)

ShroudRadius

Description:
Specifies the radius of the fillet at the end of the Filing
at the Shroud.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

ShroudTrailingEdgePoint

Description:
Specifies the Trailing Edge point at the Shroud.
Attributes:
(none)
Default Value:
( 0., 0. )

ShrTE_EllipseRatio

Description:
Specifies the trailing edge elliptical ratio at the Shroud.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

Side1Data | Description: Describes the Side1 curve. Attributes: Required Unique
Side2Data | Description: Describes the Side2 curve. Attributes: Required Unique
SimpleAngThkDefinition | Description: Describes a simple Angle/Thickness blade using wrap angle and thickness. Attributes: Unique
SimpleBezierBladeDefinition | Description: Describes a simple Pressure Side/Suction Side blade using a single set of Bezier Blade parameters. Attributes: Unique
SimpleMeridionalProfile | Description: Describes the Meridional Profile with four points. Attributes: Unique

SpanByArea

Description:
Specifies how spanwise curves are generated.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
SpanByGeom

SpanFraction

Description:
Specifies the span fraction for the layer.
Attributes:
Required
Default Value:
0.
Minimum Value:
0
Maximum Value:
1

SpanLayer | Description: Describes a span-wise layer. Attributes: (none)

SpanwiseDistribution

Description:
Specifies the Angle or Thickness Definition Spanwise Distribution
Mode.
Attributes:
(none)
Default Value:
General
Values:
General
Axial
Radial
User Defined
Ruled (Angle Definition Spanwise Distribution Mode only)

StaggerAngle

Description:
Specifies the angle of a line drawn between the leading edge and
trailing edge points, measured from horizontal in degrees.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

TE_Beta

Description:
Specifies the trailing edge beta for End Angle modes.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

TE_Theta

Description:
Specifies the trailing edge theta for End Angle modes.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

Thickness

Description:
Specifies the thickness.
Attributes:
Required
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

ThicknessCurve | Description: Describes a thickness curve on a layer. Attributes: (none)
ThicknessDefinition | Description: Describes the Thickness Definition for the blade. Attributes: Unique

ThicknessIsDimension

Description:
Specifies how the thickness data is to be interpreted.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
ThicknessIsPercentCamber

ThicknessType

Description:
Specifies the interpretation of thickness data.
Attributes:
(none)
Default Value:
Normal To Camber Line
Values:
Tangential
Normal To Camber Line
Normal To Camber Surface

TrailingEdgeBeta

Description:
Specifies the angle of the blade at the
Trailing Edge, in degrees.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

TrailingEdgeCurve | Description: Describes the Trailing Edge curve. Attributes: Unique
TrailingEdgeCut | Description: Describes the trailing edge cut-off curve. Attributes: Unique

TrailingEdgeEndType

Description:
Specifies the trailing edge type.
Attributes:
(none)
Default Value:
Square
Values:
Square
CutOff
Ellipse

TrailingEdgeExtension | Description: Describes the trailing edge extension curve. Attributes: Unique

TrailingEdgeGap

Description:
Specifies the offset at the trailing edge.
Attributes:
Required
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

TrailingEdgeGap

Description:
Specifies the offset at the trailing edge.
Attributes:
Required
Default Value:
0.
Minimum Value:
1e+300
Maximum Value:
1e+300

TrailingEdgeSide1Filing | Description: Describes the Trailing Edge Side1 Filing. Attributes: Unique
TrailingEdgeSide2Filing | Description: Describes the Trailing Edge Side2 Filing. Attributes: Unique

TrailingEdgeThickness

Description:
Specifies the thickness of the blade at the Trailing Edge.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

TrailingEdgeWedge

Description:
Specifies the angle between the sides of the blade at
the Trailing Edge, in degrees.
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

UpstreamAngle

Description:
Specifies the upstream slope (in degrees).
Attributes:
(none)
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

UpstreamControl

Description:
Specifies the upstream slope control, if any, for the segment.
Attributes:
(none)
Default Value:
Free
Values:
Free
Slope
Tangent

UpstreamRadius

Description:
Specifies the upstream fillet radius used between the upstream
segment and this segment.
Attributes:
(none)
Default Value:
0.
Minimum Value:
0
Maximum Value:
1e+300

UserSpanwiseDistribution | Description: Describes the User-Defined Spanwise Distribution parameters. Attributes: (none)
VariableCurve | Description: Describes a variable curve, whose values are passed to the equation. Attributes: (none)

VertDim

Description:
Specifies the vertical (angular) dimension for the following data.
Attributes:
(none)
Default Value:
Radian
Values:
Radian
Degree

WrapAngle

Description:
Specifies the wrap angle.
Attributes:
Required
Default Value:
0.
Minimum Value:
-1e+300
Maximum Value:
1e+300

##### 9.6.1.5.3. Example Files

The following subsections contain example files:

- BGI Angle/Thickness Example
- BGI Pressure/Suction Example - Prs/Sct Curves
- BGI Pressure/Suction Example - Bezier Curves

###### 9.6.1.5.3.1. BGI Angle/Thickness Example

This file was generated by BladeGen with the default options in the BGI Export Options dialog box.

    Begin Defaults
    End Defaults

    Begin Equations
    End Equations

    Begin Model
    	NumMainBlades=9
    	Mode=Angle/Thickness
    	RightHandedCoordSystem

    	OutputBladePoints
    	BladeOutputPointClustering=BothEnds
    	NumBladePoints=60
    	NumLeadingEdgePoints=9
    	NumTrailingEdgePoints=9

    	CurveDisplayMaximumError=0.1345362405

    	DataFromLeToTe
    	BetaAxialDef
    	ThicknessIsDimension

    MeridionalSpanCurveRuledShape=RuledElementOnly

    	Designer=""
    	Company=""
    	Comment=""
    	DeviceType=Unknown
    	ConfigurationType=Radial
    	RotationType=Negative
    	GeometryUnits=MM
    End Model

    Begin Meridional
    	MeridionalControlCurveMode=Normal
    	SpanByGeom
    	Begin HubCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -100.0000000,20.00000000 )
    				( -60.00000000,20.00000000 )
    			End Data
    			DownstreamControl=Free

    End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -60.00000000,20.00000000 )
    				( -30.00000000,20.00000000 )
    				( -4.286122238e-015,20.00000000 )
    				( -2.143061119e-015,55.00000000 )
    				( 0.0000000000,90.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 0.0000000000,90.00000000 )

    ( 1.224606354e-015,110.0000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End HubCurve
    	Begin ShroudCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -100.0000000,60.00000000 )
    				( -60.00000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -60.00000000,60.00000000 )

    ( -40.00000000,60.00000000 )
    				( -20.00000000,60.00000000 )
    				( -20.00000000,75.00000000 )
    				( -20.00000000,90.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -20.00000000,90.00000000 )
    				( -20.00000000,110.0000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End ShroudCurve
    	Begin InletCurve

    New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -100.0000000,20.00000000 )
    				( -100.0000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End InletCurve
    	Begin ExhaustCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 1.224606354e-015,110.0000000 )
    				( -20.00000000,110.0000000 )
    			End Data
    			DownstreamControl=Free

    End Segment
    	End ExhaustCurve
    	Begin LeadingEdgeCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -60.00000000,20.00000000 )
    				( -60.00000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End LeadingEdgeCurve
    	Begin TrailingEdgeCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 0.0000000000,90.00000000 )
    				( -20.00000000,90.00000000 )

    End Data
    			DownstreamControl=Free
    		End Segment
    	End TrailingEdgeCurve

    	New SpanLayer
    		Name=Layer1
    		OutputLayer=T
    		SpanFraction=0.0000000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer2
    		OutputLayer=T
    		SpanFraction=1.000000000
    	End SpanLayer
    End Meridional

    New Blade
    	PitchFraction=0.0000000000
    	LeadingEdgeEndType=Ellipse
    	HubLE_EllipseRatio=2.000000000
    	ShrLE_EllipseRatio=2.000000000
    	TrailingEdgeEndType=CutOff

    EllipseAtMean=T

    	Begin AngleDefinition
    		AngleLocation=MeanLine
    		SpanwiseDistribution=General

    		New AngleCurve
    			Layer="Layer1"
    			DefinitionType=ThetaCurve
    			HorizDim=MeridionalPrime
    			VertDim=Degree

    			New Segment
    				CurveType=Spline
    				UpstreamControl=Free
    				Begin Data
    					( 0.0000000000,0.0000000000 )
    					( 3.360579929,35.00000000 )
    				End Data
    				DownstreamControl=Free
    			End Segment

    End AngleCurve

    		New AngleCurve
    			Layer="Layer2"
    			DefinitionType=ThetaCurve
    			HorizDim=MeridionalPrime
    			VertDim=Degree

    			New Segment
    				CurveType=Spline
    				UpstreamControl=Free
    				Begin Data
    					( 0.0000000000,0.0000000000 )
    					( 0.8947362378,35.00000000 )
    				End Data
    				DownstreamControl=Free
    			End Segment
    		End AngleCurve
    	End AngleDefinition

    	Begin ThicknessDefinition
    		ThicknessType=Normal To Camber Line

    SpanwiseDistribution=General

    		New ThicknessCurve
    			Layer="Layer1"
    			HorizDim=Meridional

    			New Segment
    				CurveType=Linear
    				Begin Data
    					( 0.0000000000,2.500000000 )
    					( 111.3278080,2.500000000 )
    				End Data
    			End Segment
    		End ThicknessCurve
    	End ThicknessDefinition
    End Blade

    Begin PlusData
       Begin Case
          Component Type = rotor
          Units = MM
       End Case
    End PlusData

###### 9.6.1.5.3.2. BGI Pressure/Suction Example - Prs/Sct Curves

This file was generated by BladeGen with the Prs/Sct Def option set to Side1/Side2 (on the BGI Export Options dialog box).

    Begin Defaults
    End Defaults

    Begin Equations
    End Equations

    Begin Model
    	NumMainBlades=11
    	Mode=PressureSide/SuctionSide
    	RightHandedCoordSystem

    	OutputBladePoints
    	BladeOutputPointClustering=BothEnds
    	NumBladePoints=60
    	NumLeadingEdgePoints=9
    	NumTrailingEdgePoints=9

    	CurveDisplayMaximumError=0.07280109889

    	DataFromLeToTe

    BetaAxialDef
    	ThicknessIsDimension

    	MeridionalSpanCurveRuledShape=RuledElementOnly

    	Designer=""
    	Company=""
    	Comment=""
    	DeviceType=Unknown
    	ConfigurationType=Axial
    	RotationType=Negative
    	GeometryUnits=MM
    End Model

    Begin Meridional
    	MeridionalControlCurveMode=Normal
    	SpanByGeom
    	Begin HubCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -35.00000000,60.00000000 )
    				( -15.00000000,60.00000000 )

    End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -15.00000000,60.00000000 )
    				( -7.500000000,60.00000000 )
    				( 0.0000000000,60.00000000 )
    				( 7.500000000,60.00000000 )
    				( 15.00000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data

    ( 15.00000000,60.00000000 )
    				( 35.00000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End HubCurve
    	Begin ShroudCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -35.00000000,80.00000000 )
    				( -15.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data

    ( -15.00000000,80.00000000 )
    				( -7.500000000,80.00000000 )
    				( 0.0000000000,80.00000000 )
    				( 7.500000000,80.00000000 )
    				( 15.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 15.00000000,80.00000000 )
    				( 35.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End ShroudCurve

    Begin InletCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -35.00000000,60.00000000 )
    				( -35.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End InletCurve
    	Begin ExhaustCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 35.00000000,60.00000000 )
    				( 35.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free

    End Segment
    	End ExhaustCurve
    	Begin LeadingEdgeCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -15.00000000,60.00000000 )
    				( -15.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End LeadingEdgeCurve
    	Begin TrailingEdgeCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 15.00000000,60.00000000 )
    				( 15.00000000,80.00000000 )

    End Data
    			DownstreamControl=Free
    		End Segment
    	End TrailingEdgeCurve

    	New SpanLayer
    		Name=Layer1
    		OutputLayer=T
    		SpanFraction=0.0000000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer2
    		OutputLayer=T
    		SpanFraction=0.2500000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer3
    		OutputLayer=T
    		SpanFraction=0.5000000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer4
    		OutputLayer=T
    		SpanFraction=0.7500000000

    End SpanLayer

    	New SpanLayer
    		Name=Layer5
    		OutputLayer=T
    		SpanFraction=1.000000000
    	End SpanLayer
    End Meridional

    New Blade
    	PitchFraction=0.0000000000
    	LeadingEdgeEndType=Ellipse
    	HubLE_EllipseRatio=1.000000000
    	ShrLE_EllipseRatio=1.000000000
    	TrailingEdgeEndType=Ellipse
    	HubTE_EllipseRatio=1.000000000
    	ShrTE_EllipseRatio=1.000000000
    	EllipseAtMean=T

    	Begin PressureSuctionDefinition

    		New PressureSuctionCurves
    			Layer="Layer1"

    New Side1Data
    				New Segment
    					CurveType=Bezier
    					UpstreamControl=Slope
    					UpstreamAngle=-0.8726646260
    					Begin Data
    						( -0.007043637696,-0.01510512978 )
    						( 0.05723512327,-0.09170957410 )
    						( 0.2475641432,-0.1388507403 )
    						( 0.4353527683,0.2143282968 )
    					End Data
    					DownstreamControl=Tangent
    				End Segment
    				New Segment
    					CurveType=Linear
    					Begin Data

    ( 0.4353527683,0.2143282968 )
    						( 0.5057735027,0.3467704358 )
    					End Data
    				End Segment
    			End Side1Data

    			New Side2Data
    				New Segment
    					CurveType=Bezier
    					UpstreamControl=Slope
    					UpstreamAngle=0.0000000000
    					Begin Data
    						( 0.007043637696,0.01510512978 )
    						( 0.1570436377,0.01510512978 )
    						( 0.2822587916,0.01421786398 )
    						( 0.4942264973,0.3534371024 )

    End Data
    					DownstreamControl=Slope
    					DownstreamAngle=1.012290966
    				End Segment
    			End Side2Data
    		End PressureSuctionCurves

    		New PressureSuctionCurves
    			Layer="Layer3"
    			New Side1Data
    				New Segment
    					CurveType=Bezier
    					UpstreamControl=Slope
    					UpstreamAngle=-0.8726646260
    					Begin Data
    						( -0.006037403739,-0.01294725410 )
    						( 0.04905867709,-0.07860820637 )

    ( 0.2121978370,-0.1190149203 )
    						( 0.3731595157,0.1837099687 )
    					End Data
    					DownstreamControl=Tangent
    				End Segment
    				New Segment
    					CurveType=Linear
    					Begin Data
    						( 0.3731595157,0.1837099687 )
    						( 0.4335201452,0.2972318021 )
    					End Data
    				End Segment
    			End Side1Data

    			New Side2Data
    				New Segment
    					CurveType=Bezier
    					UpstreamControl=Slope

    UpstreamAngle=0.0000000000
    					Begin Data
    						( 0.006037403739,0.01294725410 )
    						( 0.1346088323,0.01294725410 )
    						( 0.2419361071,0.01218674055 )
    						( 0.4236227120,0.3029460878 )
    					End Data
    					DownstreamControl=Slope
    					DownstreamAngle=1.012290966
    				End Segment
    			End Side2Data
    		End PressureSuctionCurves

    		New PressureSuctionCurves
    			Layer="Layer5"
    			New Side1Data

    New Segment
    					CurveType=Bezier
    					UpstreamControl=Slope
    					UpstreamAngle=-0.8726646260
    					Begin Data
    						( -0.005282728272,-0.01132884734 )
    						( 0.04292634245,-0.06878218057 )
    						( 0.1856731074,-0.1041380552 )
    						( 0.3265145762,0.1607462226 )
    					End Data
    					DownstreamControl=Tangent
    				End Segment
    				New Segment
    					CurveType=Linear
    					Begin Data
    						( 0.3265145762,0.1607462226 )

    ( 0.3793301270,0.2600778268 )
    					End Data
    				End Segment
    			End Side1Data

    			New Side2Data
    				New Segment
    					CurveType=Bezier
    					UpstreamControl=Slope
    					UpstreamAngle=0.0000000000
    					Begin Data
    						( 0.005282728272,0.01132884734 )
    						( 0.1177827283,0.01132884734 )
    						( 0.2116940937,0.01066339798 )
    						( 0.3706698730,0.2650778268 )
    					End Data
    					DownstreamControl=Slope

    DownstreamAngle=1.012290966
    				End Segment
    			End Side2Data
    		End PressureSuctionCurves
    	End PressureSuctionDefinition
    End Blade

    Begin PlusData
       Begin Case
          Component Type = rotor
          Units = MM
       End Case
    End PlusData

###### 9.6.1.5.3.3. BGI Pressure/Suction Example - Bezier Curves

This file was generated by BladeGen with the Prs/Sct Def option set to Bezier Blade (on the BGI Export Options dialog box).

    Begin Defaults
    End Defaults

    Begin Equations
    End Equations

    Begin Model
    	NumMainBlades=11
    	Mode=PressureSide/SuctionSide
    	RightHandedCoordSystem

    	OutputBladePoints
    	BladeOutputPointClustering=BothEnds
    	NumBladePoints=60
    	NumLeadingEdgePoints=9
    	NumTrailingEdgePoints=9

    	CurveDisplayMaximumError=0.07280109889

    	DataFromLeToTe

    BetaAxialDef
    	ThicknessIsDimension

    	MeridionalSpanCurveRuledShape=RuledElementOnly

    	Designer=""
    	Company=""
    	Comment=""
    	DeviceType=Unknown
    	ConfigurationType=Axial
    	RotationType=Negative
    	GeometryUnits=MM
    End Model

    Begin Meridional
    	MeridionalControlCurveMode=Normal
    	SpanByGeom
    	Begin HubCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -35.00000000,60.00000000 )
    				( -15.00000000,60.00000000 )

    End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -15.00000000,60.00000000 )
    				( -7.500000000,60.00000000 )
    				( 0.0000000000,60.00000000 )
    				( 7.500000000,60.00000000 )
    				( 15.00000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data

    ( 15.00000000,60.00000000 )
    				( 35.00000000,60.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End HubCurve
    	Begin ShroudCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -35.00000000,80.00000000 )
    				( -15.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data

    ( -15.00000000,80.00000000 )
    				( -7.500000000,80.00000000 )
    				( 0.0000000000,80.00000000 )
    				( 7.500000000,80.00000000 )
    				( 15.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 15.00000000,80.00000000 )
    				( 35.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End ShroudCurve

    Begin InletCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -35.00000000,60.00000000 )
    				( -35.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End InletCurve
    	Begin ExhaustCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 35.00000000,60.00000000 )
    				( 35.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free

    End Segment
    	End ExhaustCurve
    	Begin LeadingEdgeCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( -15.00000000,60.00000000 )
    				( -15.00000000,80.00000000 )
    			End Data
    			DownstreamControl=Free
    		End Segment
    	End LeadingEdgeCurve
    	Begin TrailingEdgeCurve
    		New Segment
    			CurveType=Bezier
    			UpstreamControl=Free
    			Begin Data
    				( 15.00000000,60.00000000 )
    				( 15.00000000,80.00000000 )

    End Data
    			DownstreamControl=Free
    		End Segment
    	End TrailingEdgeCurve

    	New SpanLayer
    		Name=Layer1
    		OutputLayer=T
    		SpanFraction=0.0000000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer2
    		OutputLayer=T
    		SpanFraction=0.2500000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer3
    		OutputLayer=T
    		SpanFraction=0.5000000000
    	End SpanLayer

    	New SpanLayer
    		Name=Layer4
    		OutputLayer=T
    		SpanFraction=0.7500000000

    End SpanLayer

    	New SpanLayer
    		Name=Layer5
    		OutputLayer=T
    		SpanFraction=1.000000000
    	End SpanLayer
    End Meridional

    New Blade
    	PitchFraction=0.0000000000
    	LeadingEdgeEndType=Ellipse
    	HubLE_EllipseRatio=1.000000000
    	ShrLE_EllipseRatio=1.000000000
    	TrailingEdgeEndType=Ellipse
    	HubTE_EllipseRatio=1.000000000
    	ShrTE_EllipseRatio=1.000000000
    	EllipseAtMean=T

    	Begin PressureSuctionDefinition

    		New BezierCurve
    			Layer="Span: 0.0000"

    StaggerAngle=35.00000000
    			LeadingEdgeTheta=0.0000000000

    			LeadingEdgeBeta=-25.00000000
    			TrailingEdgeBeta=60.00000000
    			LeadingEdgeWedge=25.00000000
    			TrailingEdgeWedge=2.000000000

    			LeadingEdgeThickness=2.000000000
    			TrailingEdgeThickness=0.8000000000

    			FirstPointFractionSide1=0.2000000000
    			LastPointFractionSide1=0.8000000000
    			LinearFractionSide1=0.3000000000

    			FirstPointFractionSide2=0.3000000000
    			LastPointFractionSide2=0.8000000000

    LinearFractionSide2=0.0000000000
    		End BezierCurve

    		New BezierCurve
    			Layer="Span: 0.5000"
    			StaggerAngle=35.00000000
    			LeadingEdgeTheta=0.0000000000

    			LeadingEdgeBeta=-25.00000000
    			TrailingEdgeBeta=60.00000000
    			LeadingEdgeWedge=25.00000000
    			TrailingEdgeWedge=2.000000000

    			LeadingEdgeThickness=2.000000000
    			TrailingEdgeThickness=0.8000000000

    			FirstPointFractionSide1=0.2000000000
    			LastPointFractionSide1=0.8000000000

    LinearFractionSide1=0.3000000000

    			FirstPointFractionSide2=0.3000000000
    			LastPointFractionSide2=0.8000000000
    			LinearFractionSide2=0.0000000000
    		End BezierCurve

    		New BezierCurve
    			Layer="Span: 1.0000"
    			StaggerAngle=35.00000000
    			LeadingEdgeTheta=-4.969616690e-017

    			LeadingEdgeBeta=-25.00000000
    			TrailingEdgeBeta=60.00000000
    			LeadingEdgeWedge=25.00000000
    			TrailingEdgeWedge=2.000000000

    			LeadingEdgeThickness=2.000000000

    TrailingEdgeThickness=0.8000000000

    			FirstPointFractionSide1=0.2000000000
    			LastPointFractionSide1=0.8000000000
    			LinearFractionSide1=0.3000000000

    			FirstPointFractionSide2=0.3000000000
    			LastPointFractionSide2=0.8000000000
    			LinearFractionSide2=0.0000000000
    		End BezierCurve
    	End PressureSuctionDefinition
    End Blade

    Begin PlusData
       Begin Case
          Component Type = rotor
          Units = MM
       End Case
    End PlusData

#### 9.6.1.6. Report Template File Format (BGR)

The following topics are discussed:

- Report Template File
- Complete BGR File Format Listing

##### 9.6.1.6.1. Report Template File

The BladeGen Report Template File was developed to describe the contents of the BladeGen Report. User’s should edit the files using the supplied editor, accessed through the File | Export | Report... menu command.

Also See:

Complete BGR File Format Listing

Report File

##### 9.6.1.6.2. Complete BGR File Format Listing

    Begin Report
      ReportName = Report
      Begin MeridionalImage
        ImageWidth = 6.
        ImageHeight = 4.5
      End MeridionalImage
      Begin MeridionalTable
      End MeridionalTable
      Begin MasterMeridionalImage
        ImageWidth = 6.
        ImageHeight = 4.5
      End MasterMeridionalImage
      Begin MasterMeridionalTable
      End MasterMeridionalTable
      Begin LayerDefinitionTable
        IncludeLayers = All
      End LayerDefinitionTable
      Begin MasterLayerDefinitionTable
        IncludeLayers = All
      End MasterLayerDefinitionTable
      Begin BladeAngleTable
      End BladeAngleTable
      Begin BladeThicknessTable
      End BladeThicknessTable
      Begin BladePrs/SctTable
      End BladePrs/SctTable
      Begin ContourPlot
        DataType = Theta
        GridDensity = Regular
        ShowPoints = T
        ShowContours = T
        ShowGrid = T
        ImageWidth = 6.
        ImageHeight = 4.5
      End ContourPlot
      Begin BladeInformationTable
        IncludeLayers = All
      End BladeInformationTable
      Begin BladeTable
        DataSet = Mean
        DataOrientation = Normal
        CoordinateSystem = Cartisian
      End BladeTable
      Begin MeridionalCurvatureGraph
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End MeridionalCurvatureGraph
      Begin MeridionalCurvatureTable
      End MeridionalCurvatureTable
      Begin Blade-To-Blade Curvature Graph
        IncludeLayers = All
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End Blade-To-Blade Curvature Graph
      Begin Blade-To-Blade Curvature Table
      End Blade-To-Blade Curvature Table
      Begin LeTeThetaGraph
        IncludeLayers = All
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End LeTeThetaGraph
      Begin LeTeThetaTable
        IncludeLayers = All
      End LeTeThetaTable
      Begin LeTeBetaGraph
        IncludeLayers = All
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End LeTeBetaGraph
      Begin LeTeBetaTable
        IncludeLayers = All
      End LeTeBetaTable
      Begin BladeLeanAngleGraph
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End BladeLeanAngleGraph
      Begin BladeLeanAngleTable
      End BladeLeanAngleTable
      Begin Quasi-Orthogonal Area Graph
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End Quasi-Orthogonal Area Graph
      Begin Quasi-Orthogonal Area Table
      End Quasi-Orthogonal Area Table
      Begin AirfoilAreaGraph
        IncludeLayers = All
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End AirfoilAreaGraph
      Begin AirfoilAreaTable
        IncludeLayers = All
      End AirfoilAreaTable
      Begin MaxDiameterGraph
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End MaxDiameterGraph
      Begin MaxDiameterTable
      End MaxDiameterTable
      Begin LeTeParameterGraph
        IncludeLayers = All
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End LeTeParameterGraph
      Begin LeTeParameterTable
        IncludeLayers = All
      End LeTeParameterTable
      Begin ThetaBetaGraph
        IncludeLayers = All
        HorizontalDimension = MeridionalPrime
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End ThetaBetaGraph
      Begin ThetaBetaTable
        IncludeLayers = All
        HorizontalDimension = MeridionalPrime
      End ThetaBetaTable
      Begin ThetaGraph
        IncludeLayers = All
        HorizontalDimension = MeridionalPrime
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End ThetaGraph
      Begin ThetaTable
        IncludeLayers = All
        HorizontalDimension = MeridionalPrime
      End ThetaTable
      Begin BetaGraph
        IncludeLayers = All
        HorizontalDimension = MeridionalPrime
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End BetaGraph
      Begin BetaTable
        IncludeLayers = All
        HorizontalDimension = MeridionalPrime
      End BetaTable
      Begin BetaVs.ThetaGraph
        IncludeLayers = All
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End BetaVs.ThetaGraph
      Begin BetaVs.ThetaTable
        IncludeLayers = All
      End BetaVs.ThetaTable
      Begin ThicknessGraph
        IncludeLayers = All
        HorizontalDimension = Meridional
        NumPoints = 30
        ShowLegend = T
        ShowPoints = T
        SwapAxes = f
        ProportionalAxes = f
        ImageWidth = 6.
        ImageHeight = 4.5
        Begin X_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End X_Scale
        Begin Y_Scale
          ReverseDirection = f
          LogScale = f
          LogCycles = 3
          LabelFactor = 1.
        End Y_Scale
      End ThicknessGraph
      Begin ThicknessTable
        IncludeLayers = All
        HorizontalDimension = Meridional
      End ThicknessTable
    End Report

In the following table, the items of a BGR file are listed in alphabetical order with descriptions.

Item in BGR File | Description
--- | ---
AirfoilAreaGraph | Description: Describes a Airfoil Area Graph. Attributes: Unique
AirfoilAreaTable | Description: Describes a Airfoil Area Table. Attributes: Unique
BetaGraph | Description: Describes a Beta Graph. Attributes: Unique
BetaTable | Description: Describes a Beta Table. Attributes: Unique
BetaVsThetaGraph | Description: Describes a Beta Vs. Theta Graph. Attributes: Unique
BetaVsThetaTable | Description: Describes a Beta Vs. Theta Table. Attributes: Unique
BladeAngleTable | Description: Describes a Blade Angle Table. Attributes: Unique
BladeInformationTable | Description: Describes a Blade Information Table. Attributes: Unique
BladeLeanAngleGraph | Description: Describes a Blade Lean Angle Graph. Attributes: Unique
BladeLeanAngleTable | Description: Describes a Blade Lean Angle Table. Attributes: Unique
BladePrsSctTable | Description: Describes a Pressure Side/Suction Side Table. Attributes: Unique
BladeTable | Description: Describes a Blade Table. Attributes: Unique
BladeThicknessTable | Description: Describes a Blade Thickness Table. Attributes: Unique
BladeToBladeCurvatureGraph | Description: Describes a Blade-To-Blade Curvature Graph. Attributes: Unique
BladeToBladeCurvatureTable | Description: Describes a Blade-To-Blade Curvature Table. Attributes: Unique
ContourPlot | Description: Describes a Contour Plot. Attributes: (none)

CoordinateSystem

Description:
Specifies the Coordinate System.
Attributes:
(none)
Default Value:
Cartisian
Values:
Cartisian
Cylindrical

DataOrientation

Description:
Specifies the Data Orientation.
Attributes:
(none)
Default Value:
Normal
Values:
Normal
Tangential

DataSet

Description:
Specifies the Data Set to use.
Attributes:
Required
Default Value:
Mean
Values:
Mean
Side1
Side2
Both

DataType

Description:
Specifies the Data Type to be plotted.
Attributes:
Required
Default Value:
Theta
Values:
Theta
Beta
Thickness
EnhThickness
BladeLean

GridDensity

Description:
Specifies the density of the grid.
Attributes:
(none)
Default Value:
Regular
Values:
Coarse
Regular
Fine
VeryFine

HorizontalDimension

Description:
Specifies the horizontal dimension.
Attributes:
Required
Default Value:
MeridionalPrime
Values:
Unknown
Meridional
PercentMeridional
MeridionalPrime
PercentMeridionalPrime
AxialLocation
RadialLocation

HorizontalDimension

Description:
Specifies the horizontal dimension.
Attributes:
Required
Default Value:
Meridional
Values:
Unknown
Meridional
PercentMeridional
MeridionalPrime
PercentMeridionalPrime
AxialLocation
RadialLocation
PercentCamberByPercentCamber

ImageHeight

Description:
Specifies the height of the image, in inches.
Attributes:
Required
Default Value:
4.5
Minimum Value:
1
Maximum Value:
12

ImageWidth

Description:
Specifies the width of the image, in inches.
Attributes:
Required
Default Value:
6.
Minimum Value:
1
Maximum Value:
12

IncludeLayers

Description:
Specifies the filter for the layers to be used for output.
Attributes:
Required
Default Value:
All
Values:
All
Defining
Output

LabelFactor

Description:
Specifies the multiplication factor for labels.
Attributes:
(none)
Default Value:
1.
Minimum Value:
0
Maximum Value:
1e+300

LayerDefinitionTable | Description: Describes a Design Layer Definition Table. Attributes: Unique
LeTeBetaGraph | Description: Describes a LeTe Beta Graph. Attributes: Unique
LeTeBetaTable | Description: Describes a LeTe Beta Table. Attributes: Unique
LeTeParameterGraph | Description: Describes a LeTe Parameter Graph. Attributes: Unique
LeTeParameterTable | Description: Describes a LeTe Parameter Table. Attributes: Unique
LeTeThetaGraph | Description: Describes a LeTe Theta Graph. Attributes: Unique
LeTeThetaTable | Description: Describes a LeTe Theta Table. Attributes: Unique

LogCycles

Description:
Specifies the number of log cycles for a log plot.
Attributes:
(none)
Default Value:
3
Minimum Value:
1
Maximum Value:
9

LogScale

Description:
Specifies the type of scale for the graph.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
LinearScale

MasterLayerDefinitionTable | Description: Describes a Master Layer Definition Table. Attributes: Unique
MasterMeridionalImage | Description: Describes a Master Meridional Image. Attributes: Unique
MasterMeridionalTable | Description: Describes a Master Meridional Table. Attributes: Unique
MaxDiameterGraph | Description: Describes a Max Diameter Graph. Attributes: Unique
MaxDiameterTable | Description: Describes a Max Diameter Table. Attributes: Unique
MeridionalCurvatureGraph | Description: Describes a Meridional Curvature Graph. Attributes: Unique
MeridionalCurvatureTable | Description: Describes a Meridional Curvature Table. Attributes: Unique
MeridionalImage | Description: Describes a Design Meridional Image. Attributes: Unique
MeridionalTable | Description: Describes a Design Meridional Table. Attributes: Unique

NumPoints

Description:
Specifies the number of points in the graph.
Attributes:
(none)
Default Value:
30
Minimum Value:
2
Maximum Value:
200

ProportionalAxes

Description:
Specifies the axes are proportial to each other or independently scaled.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
IndependentAxes

QuasiOrthogonalAreaGraph | Description: Describes a Quasi-Orthogonal Area Graph. Attributes: Unique
QuasiOrthogonalAreaTable | Description: Describes a Quasi-Orthogonal Area Table. Attributes: Unique
Report | Description: Describes the Report. Attributes: Required

ReportName

Description:
Specifies the name of the report.
Attributes:
Required
Default Value:
Report

ReverseDirection

Description:
Specifies the direction of the data.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
NormalDirection

ShowContours

Description:
Specifies whether contour lines are displayed.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
HideContours

ShowGrid

Description:
Specifies whether the grid is displayed.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
HideGrid

ShowLegend

Description:
Specifies whether a legend is to be displayed.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
HideLegend

ShowPoints

Description:
Specifies whether the points are to be displayed.
Attributes:
(none)
Default Value:
T
Values:
True or (none)
False
Alternative (Negative) Name:
HidePoints

SwapAxes

Description:
Specifies whether the axes are to be swapped.
Attributes:
(none)
Default Value:
f
Values:
True or (none)
False
Alternative (Negative) Name:
NoSwapAxes

ThetaBetaGraph | Description: Describes a Theta Beta Graph. Attributes: Unique
ThetaBetaTable | Description: Describes a Theta Beta Table. Attributes: Unique
ThetaGraph | Description: Describes a Theta Graph. Attributes: Unique
ThetaTable | Description: Describes a Theta Table. Attributes: Unique
ThicknessGraph | Description: Describes a Thickness Graph. Attributes: Unique
ThicknessTable | Description: Describes a Thickness Table. Attributes: Unique
X_Scale | Description: Describes the X Axis. Attributes: (none)
Y_Scale | Description: Describes the Y Axis. Attributes: (none)

Release 18.2 - © ANSYS, Inc. All rights reserved.